Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1977297 - php-opencloud-openstack fails to build with Sphinx 4.0.2
Summary: php-opencloud-openstack fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: php-opencloud-openstack
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Engelhard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1977674 1982629
Blocks: F38FTBFS F35FTBFS 1973718 1981857 F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-06-29 12:26 UTC by Karolina Surma
Modified: 2022-12-13 15:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-13 15:25:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2021-06-29 12:26:05 UTC
php-opencloud-openstack fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ sphinx-build-3 doc html
Running Sphinx v4.0.2
Extension error:
Could not import extension samples (exception: cannot import name 'LiteralInclude' from 'sphinx.directives' (unknown location))


For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/php-opencloud-openstack/


You can test you package using Koji scratch build
koji build --scratch <srpm>


Please note that until python-sphinxcontrib-phpdomain is in version 0.7.3, the package will fail to build due to its requirement on Sphinx 4. When testing with the updated version, the reported failure can be observed.

You can still use the testing copr where this inconvenience is solved.
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/


For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 Christopher Engelhard 2021-06-30 08:06:05 UTC
I'll be updating this package to 3.2 soon, this will be fixed then.

Comment 2 Ben Cotton 2021-08-10 13:09:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Ben Cotton 2022-11-29 16:59:12 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Ben Cotton 2022-12-13 15:25:31 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.